Rails server doesn't start

/home/impulsief/.gem/ruby/gems/activesupport-5.0.0/lib/active_support/core_ext/object/json.rb:2:in
require': cannot load such file -- json (LoadError) from /home/impulsief/.gem/ruby/gems/activesupport-5.0.0/lib/active_support/core_ext/object/json.rb:2:in<top (required)>’
from
/home/impulsief/.gem/ruby/gems/activesupport-5.0.0/lib/active_support/core_ext/object.rb:11:in
require' from /home/impulsief/.gem/ruby/gems/activesupport-5.0.0/lib/active_support/core_ext/object.rb:11:in<top (required)>’
from
/home/impulsief/.gem/ruby/gems/railties-5.0.0/lib/rails/configuration.rb:2:in
require' from /home/impulsief/.gem/ruby/gems/railties-5.0.0/lib/rails/configuration.rb:2:in<top (required)>’
from
/home/impulsief/.gem/ruby/gems/railties-5.0.0/lib/rails/railtie/configuration.rb:1:in
require' from /home/impulsief/.gem/ruby/gems/railties-5.0.0/lib/rails/railtie/configuration.rb:1:in<top (required)>’
from
/home/impulsief/.gem/ruby/gems/railties-5.0.0/lib/rails/railtie.rb:216:in
config' from /home/impulsief/.gem/ruby/gems/railties-5.0.0/lib/rails/railtie.rb:122:inconfig’
from
/home/impulsief/.gem/ruby/gems/activesupport-5.0.0/lib/active_support/i18n_railtie.rb:7:in
<class:Railtie>' from /home/impulsief/.gem/ruby/gems/activesupport-5.0.0/lib/active_support/i18n_railtie.rb:6:inmodule:I18n
from
/home/impulsief/.gem/ruby/gems/activesupport-5.0.0/lib/active_support/i18n_railtie.rb:5:in
<top (required)>' from /home/impulsief/.gem/ruby/gems/activesupport-5.0.0/lib/active_support/railtie.rb:2:inrequire’
from
/home/impulsief/.gem/ruby/gems/activesupport-5.0.0/lib/active_support/railtie.rb:2:in
<top (required)>' from /home/impulsief/.gem/ruby/gems/railties-5.0.0/lib/rails.rb:14:inrequire’
from /home/impulsief/.gem/ruby/gems/railties-5.0.0/lib/rails.rb:14:in
<top (required)>' from /home/impulsief/.gem/ruby/gems/railties-5.0.0/lib/rails/commands/server.rb:4:inrequire’
from
/home/impulsief/.gem/ruby/gems/railties-5.0.0/lib/rails/commands/server.rb:4:in
<top (required)>' from /home/impulsief/.gem/ruby/gems/railties-5.0.0/lib/rails/commands/commands_tasks.rb:138:inrequire’
from
/home/impulsief/.gem/ruby/gems/railties-5.0.0/lib/rails/commands/commands_tasks.rb:138:in
require_command!' from /home/impulsief/.gem/ruby/gems/railties-5.0.0/lib/rails/commands/commands_tasks.rb:83:inserver’
from
/home/impulsief/.gem/ruby/gems/railties-5.0.0/lib/rails/commands/commands_tasks.rb:49:in
run_command!' from /home/impulsief/.gem/ruby/gems/railties-5.0.0/lib/rails/commands.rb:18:in<top (required)>’
from bin/rails:4:in require' from bin/rails:4:in

rails -v
5.0.0

ruby -v
ruby 2.2.5p319 (2016-04-26 revision 54774) [x86_64-linux]

gem -v
2.4.8

On 1 July 2016 at 20:31, Baron V. [email protected] wrote:

/home/impulsief/.gem/ruby/gems/activesupport-5.0.0/lib/active_support/core_ext/object/json.rb:2:in

`require’: cannot load such file – json (LoadError)

Have you run
bundle install
?

If so then post Gemfile and Gemfile.lock

Colin

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs